<?xml version="1.0"?>
<doc>
    <assembly>
        <name>Keysystems.Core.Primary</name>
    </assembly>
    <members>
        <member name="T:Keysystems.Core.Primary.ScanHelper">
            <summary>
            Хелпер сканера
            </summary>
        </member>
        <member name="P:Keysystems.Core.Primary.ScanHelper.Instance">
            <summary>
            
            </summary>
        </member>
        <member name="T:Keysystems.Core.Primary.DownloadManager">
            <summary>
            Загрузчик файлов
            UI пока построен на главном статусбаре. TODO: перейти на отдельную форму со списком загрузки
            </summary>
        </member>
        <member name="M:Keysystems.Core.Primary.DownloadManager.Initialize(Keysystems.Core.Views.Controls.IStatusBarHelper)">
            <summary>
            
            </summary>
            <param name="statusBarHelper"></param>
        </member>
        <member name="M:Keysystems.Core.Primary.DownloadManager.DownloadFile(Keysystems.Core.Multithreading.IBackgroundHandler,System.String)">
            <summary>
            Загрузка файла
            </summary>
            <param name="bghandler"></param>
            <param name="fileName"></param>
            <returns></returns>
        </member>
        <member name="T:Keysystems.Core.Primary.ApsScanner">
            <summary>
            
            </summary>
        </member>
        <member name="F:Keysystems.Core.Primary.ApsScanner.ApiInit">
            <summary>
            Инициализация библиотеки
            </summary>
        </member>
        <member name="F:Keysystems.Core.Primary.ApsScanner.HardwareBeep">
            <summary>
            Формирования звукового сигнала
            </summary>
        </member>
        <member name="F:Keysystems.Core.Primary.ApsScanner.GetVersion">
            <summary>
            Получение версии
            </summary>
        </member>
        <member name="F:Keysystems.Core.Primary.ApsScanner.GetErrorStrS">
            <summary>
            Получение строки ошибки по ее коду
            </summary>
        </member>
        <member name="F:Keysystems.Core.Primary.ApsScanner.GetApiData">
            <summary>
            Получение данных сканирования
            </summary>
        </member>
        <member name="F:Keysystems.Core.Primary.ApsScanner.GetXMLData">
            <summary>
            Получение данных сканирования в виде XML
            </summary>
        </member>
        <member name="F:Keysystems.Core.Primary.ApsScanner.ApiDone">
            <summary>
            Закрытие библиотеки
            </summary>
        </member>
        <member name="M:Keysystems.Core.Primary.ApsScanner.InitDelegates(System.IntPtr)">
            <summary>
            Инициализация делегатов
            </summary>
            <param name="hLib"></param>
        </member>
        <member name="M:Keysystems.Core.Primary.ApsScanner.LoadScannerLibrary(System.String)">
            <summary>
            Проинициализировать объект доступа
            </summary>
            <returns></returns>
        </member>
        <member name="M:Keysystems.Core.Primary.ApsScanner.GetDelegate``1(System.IntPtr,System.String)">
            <summary>
            Получить функция описываемую делегатом T по указателю и названию
            </summary>
            <typeparam name="T"></typeparam>
            <param name="hLib"></param>
            <param name="functionName"></param>
            <returns></returns>
        </member>
        <member name="M:Keysystems.Core.Primary.ApsScanner.GetErrorMessage(System.Int32)">
            <summary>
            Расшифровать код ошибки
            </summary>
            <param name="errCode"></param>
            <returns></returns>
        </member>
        <member name="M:Keysystems.Core.Primary.ApsScanner.GetLibVersion(System.String@)">
            <summary>
            Получить версию
            </summary>
            <returns></returns>
        </member>
        <member name="M:Keysystems.Core.Primary.ApsScanner.GetScanedXMLData(System.String@)">
            <summary>
            Получить данные ПП в виде XML
            </summary>
            <param name="xmlData"></param>
            <returns></returns>
        </member>
        <member name="M:Keysystems.Core.Primary.ApsScanner.CloseLibrary">
            <summary>
            Выгрузить проинициализированную библиотеку
            </summary>
            <returns></returns>
        </member>
        <member name="P:Keysystems.Core.Primary.ApsScanner.Initialized">
            <summary>
            Инициализирована ли библиотека
            </summary>
        </member>
        <member name="M:Keysystems.Core.Primary.ScanLib.LoadLibrary(System.String)">
            <summary>
            Функция загрузки dll с указанным именем
            </summary>
            <param name="lpLibFileName"></param>
            <returns></returns>
        </member>
        <member name="M:Keysystems.Core.Primary.ScanLib.GetProcAddress(System.IntPtr,System.String)">
            <summary>
            получение указателя функции по ее имени
            </summary>
            <param name="hModule"></param>
            <param name="lpProcName"></param>
            <returns></returns>
        </member>
        <member name="T:Keysystems.Core.Primary.FileLoader">
            <summary>
            Загрузчик файлов
            </summary>
        </member>
        <member name="M:Keysystems.Core.Primary.FileLoader.#ctor">
            <summary>
            конструктор
            </summary>
        </member>
        <member name="M:Keysystems.Core.Primary.FileLoader.#ctor(Keysystems.Core.Multithreading.IBackgroundHandler)">
            <summary>
            конструктор
            </summary>
            <param name="bghandler"></param>
        </member>
        <member name="M:Keysystems.Core.Primary.FileLoader.#ctor(Keysystems.Core.Multithreading.IBackgroundHandler,Keysystems.Core.Views.Objects.DocumentEditInfo)">
            <summary>
            конструктор
            </summary>
            <param name="bghandler"></param>
            <param name="documentEditInfo"></param>
        </member>
        <member name="M:Keysystems.Core.Primary.FileLoader.Initialize(System.String,System.String)">
            <summary>
            Инициализация
            </summary>
            <param name="uri">Адрес сервиса</param>
            <param name="user">Имя пользователя</param>
        </member>
        <member name="M:Keysystems.Core.Primary.FileLoader.Upload(System.String)">
            <summary>
            Закачивание файла на сервер
            </summary>
            <param name="localFile"></param>
            <returns>Полное имя закачанного файла, null - если файл не дозакачан</returns>
        </member>
        <member name="M:Keysystems.Core.Primary.FileLoader.PrepareImagesDirectory(System.Int64)">
            <summary>
            Подготовка временной папки (удаление старых файлов, если размер достиг максимума)
            </summary>
            <param name="downloadedFileSize"></param>
        </member>
        <member name="M:Keysystems.Core.Primary.FileLoader.GetFileInfo(System.String)">
            <summary>
            Информация о файле на сервере
            </summary>
            <param name="serverFile"></param>
            <returns></returns>
        </member>
        <member name="M:Keysystems.Core.Primary.FileLoader.Download(System.String)">
            <summary>
            Скачивание файла с сервера
            </summary>
            <param name="serverFile"></param>
            <returns>Полное имя скачанного файла, string.Empty - если файл не докачан</returns>
        </member>
        <member name="P:Keysystems.Core.Primary.FileLoader.BackgroundHandler">
            <summary>
            Хэндлер потока, в котором выполняется экземпляр FileLoader
            </summary>
        </member>
        <member name="P:Keysystems.Core.Primary.FileLoader.DocumentEditInfo">
            <summary>
            
            </summary>
        </member>
        <member name="P:Keysystems.Core.Primary.FileLoader.Instance">
            <summary>
            Экземпляр сервиса
            </summary>
        </member>
        <member name="E:Keysystems.Core.Primary.FileLoader.TransferFileProgress">
            <summary>
            Событие прогресса загрузки файла на сервер
            </summary>
        </member>
        <member name="T:Keysystems.Core.Primary.StorageHelper">
            <summary>
            Хелпер файлового хранилища
            </summary>
        </member>
        <member name="M:Keysystems.Core.Primary.StorageHelper.CreateInstance">
            <summary>
            Инициализация
            </summary>
        </member>
        <member name="M:Keysystems.Core.Primary.StorageHelper.download(System.String,System.String,System.String,System.String,System.String,System.String,System.String,System.String,System.String@)">
            <summary>
            
            </summary>
            <param name="file_path"></param>
            <param name="doc_id"></param>
            <param name="storage_path"></param>
            <param name="server_name"></param>
            <param name="data_base"></param>
            <param name="user_name"></param>
            <param name="password"></param>
            <param name="doc_code"></param>
            <param name="error_desc"></param>
            <returns></returns>
        </member>
        <member name="M:Keysystems.Core.Primary.StorageHelper.download_file(System.String,System.String,System.String,System.String@)">
            <summary>
            
            </summary>
            <param name="file_path"></param>
            <param name="doc_id"></param>
            <param name="storage_path"></param>
            <param name="error_str"></param>
            <returns></returns>
        </member>
        <member name="M:Keysystems.Core.Primary.StorageHelper.upload(System.String,System.String,System.String@,System.String,System.String,System.String,System.String,System.String@)">
            <summary>
            
            </summary>
            <param name="file_path"></param>
            <param name="doc_id"></param>
            <param name="storage_path"></param>
            <param name="server_name"></param>
            <param name="data_base"></param>
            <param name="user_name"></param>
            <param name="password"></param>
            <param name="error_desc"></param>
            <returns></returns>
        </member>
        <member name="M:Keysystems.Core.Primary.StorageHelper.upload_file_ex(System.String,System.String,System.String@)">
            <summary>
            
            </summary>
            <param name="file_path"></param>
            <param name="doc_id"></param>
            <param name="storage_path"></param>
            <returns></returns>
        </member>
        <member name="M:Keysystems.Core.Primary.StorageHelper.remove_file(System.String,System.String,System.String@)">
            <summary>
            
            </summary>
            <param name="storage_path"></param>
            <param name="doc_id"></param>
            <param name="error_str"></param>
            <returns></returns>
        </member>
        <member name="M:Keysystems.Core.Primary.StorageHelper.set_service_url_ex(System.String,System.String,System.String,System.String,System.String,System.String@)">
            <summary>
            
            </summary>
            <param name="url"></param>
            <param name="user"></param>
            <param name="proxy_host"></param>
            <param name="proxy_userid"></param>
            <param name="proxy_passwd"></param>
            <param name="error_str"></param>
            <returns></returns>
        </member>
        <member name="M:Keysystems.Core.Primary.StorageHelper.set_filesvr_unc_ex(System.String,System.String,System.String@)">
            <summary>
            
            </summary>
            <param name="unc"></param>
            <param name="user"></param>
            <param name="error_str"></param>
            <returns></returns>
        </member>
        <member name="P:Keysystems.Core.Primary.StorageHelper.Instance">
            <summary>
            
            </summary>
        </member>
        <member name="P:Keysystems.Core.Primary.StorageHelper.NewFStorage">
            <summary>
            
            </summary>
        </member>
        <member name="T:Keysystems.Core.Primary.RazborKBKDelegate">
            <summary>
            
            </summary>
            <param name="np"></param>
            <param name="link"></param>
            <param name="pITemplate"></param>
            <returns></returns>
        </member>
        <member name="T:Keysystems.Core.Primary.PpEodData">
            <summary>
            Класс данных полученных в результате сканирования
            </summary>
        </member>
        <member name="F:Keysystems.Core.Primary.PpEodData.Number">
            <summary>
            Номер документа	
            </summary>
        </member>
        <member name="F:Keysystems.Core.Primary.PpEodData.Date">
            <summary>
            Дата документа	Преобразуется в формат: yyyymmdd
            </summary>
        </member>
        <member name="F:Keysystems.Core.Primary.PpEodData.CpayType">
            <summary>
            Вид платежа
            </summary>
        </member>
        <member name="F:Keysystems.Core.Primary.PpEodData.Okud">
            <summary>
            Код ОКУД
            </summary>
        </member>
        <member name="F:Keysystems.Core.Primary.PpEodData.Summa">
            <summary>
            Сумма	Преобразуется в формат:  #.##
            </summary>
        </member>
        <member name="F:Keysystems.Core.Primary.PpEodData.SummaStr">
            <summary>
            Сумма прописью
            </summary>
        </member>
        <member name="F:Keysystems.Core.Primary.PpEodData.InnPayer">
            <summary>
            ИНН плательщика
            </summary>
        </member>
        <member name="F:Keysystems.Core.Primary.PpEodData.KppPayer">
            <summary>
            КПП плательщика
            </summary>
        </member>
        <member name="F:Keysystems.Core.Primary.PpEodData.PayerName">
            <summary>
            Наименование плательщика	Без ИНН и КПП
            </summary>
        </member>
        <member name="F:Keysystems.Core.Primary.PpEodData.AccountPayerRS">
            <summary>
            Расчетный счет плательщика
            </summary>
        </member>
        <member name="F:Keysystems.Core.Primary.PpEodData.AccountPayerLS">
            <summary>
            Лицевой счет плательщика(-)
            </summary>
        </member>
        <member name="F:Keysystems.Core.Primary.PpEodData.BankNamePayer">
            <summary>
            Наименование банка плательщика
            </summary>
        </member>
        <member name="F:Keysystems.Core.Primary.PpEodData.BankBicPayer">
            <summary>
            БИК банка плательщика
            </summary>
        </member>
        <member name="F:Keysystems.Core.Primary.PpEodData.BankAccPayer">
            <summary>
            Номер счета банка плательщика
            </summary>
        </member>
        <member name="F:Keysystems.Core.Primary.PpEodData.InnReciever">
            <summary>
            ИНН получателя
            </summary>
        </member>
        <member name="F:Keysystems.Core.Primary.PpEodData.KppReciever">
            <summary>
            КПП получателя
            </summary>
        </member>
        <member name="F:Keysystems.Core.Primary.PpEodData.RecieverName">
            <summary>
            Наименование получателя	Без ИНН и КПП
            </summary>
        </member>
        <member name="F:Keysystems.Core.Primary.PpEodData.AccountReciever">
            <summary>
            Номер счета получателя
            </summary>
        </member>
        <member name="F:Keysystems.Core.Primary.PpEodData.BankNameReciever">
            <summary>
            Наименование банка получателя
            </summary>
        </member>
        <member name="F:Keysystems.Core.Primary.PpEodData.BankBicReciever">
            <summary>
            БИК банка получателя
            </summary>
        </member>
        <member name="F:Keysystems.Core.Primary.PpEodData.BankAccReciever">
            <summary>
            Номер счета банка получателя
            </summary>
        </member>
        <member name="F:Keysystems.Core.Primary.PpEodData.OpTypeCode">
            <summary>
            Вид операции (кодовый)
            </summary>
        </member>
        <member name="F:Keysystems.Core.Primary.PpEodData.PaymentDestinationCode">
            <summary>
            Назначение платежа (кодовое)
            </summary>
        </member>
        <member name="F:Keysystems.Core.Primary.PpEodData.Code">
            <summary>
            Код
            </summary>
        </member>
        <member name="F:Keysystems.Core.Primary.PpEodData.PaymentDeadline">
            <summary>
            Срок платежа	Преобразуется в формат: yyyymmdd
            </summary>
        </member>
        <member name="F:Keysystems.Core.Primary.PpEodData.PaymentOrder">
            <summary>
            Очередность платежа
            </summary>
        </member>
        <member name="F:Keysystems.Core.Primary.PpEodData.ReservedField">
            <summary>
            Резервное поле
            </summary>
        </member>
        <member name="F:Keysystems.Core.Primary.PpEodData.PaymentDestination">
            <summary>
            Назначение платежа
            </summary>
        </member>
        <member name="F:Keysystems.Core.Primary.PpEodData.Status">
            <summary>
            Статус (101)
            </summary>
        </member>
        <member name="F:Keysystems.Core.Primary.PpEodData.Kbk">
            <summary>
            КБК (104)
            </summary>
        </member>
        <member name="F:Keysystems.Core.Primary.PpEodData.OkatoCode">
            <summary>
            Код ОКАТО (105)
            </summary>
        </member>
        <member name="F:Keysystems.Core.Primary.PpEodData.IndexPaymentBasis">
            <summary>
            Показатель основания платежа (106)
            </summary>
        </member>
        <member name="F:Keysystems.Core.Primary.PpEodData.IndexTax">
            <summary>
            Показатель налогового периода (107)
            </summary>
        </member>
        <member name="F:Keysystems.Core.Primary.PpEodData.IndexNumber">
            <summary>
            Показатель номера документа (108)
            </summary>
        </member>
        <member name="F:Keysystems.Core.Primary.PpEodData.IndexDate">
            <summary>
            Показатель даты документа (109)
            </summary>
        </member>
        <member name="F:Keysystems.Core.Primary.PpEodData.IndexPaymentType">
            <summary>
            Показатель типа платежа (110)
            </summary>
        </member>
        <member name="F:Keysystems.Core.Primary.PpEodData.m_version">
            <summary>
            Версия
            </summary>
        </member>
        <member name="F:Keysystems.Core.Primary.PpEodData.m_vedom">
            <summary>
            Код по ППП{3}
            </summary>
        </member>
        <member name="F:Keysystems.Core.Primary.PpEodData.m_podrazdel">
            <summary>
            Код по ФКР{4}
            </summary>
        </member>
        <member name="F:Keysystems.Core.Primary.PpEodData.m_centralStat">
            <summary>
            Код по КЦСР{7}
            </summary>
        </member>
        <member name="F:Keysystems.Core.Primary.PpEodData.m_rashodType">
            <summary>
            Код по КВР{3}
            </summary>
        </member>
        <member name="F:Keysystems.Core.Primary.PpEodData.m_econClass">
            <summary>
            Код по ЭКР{3}
            </summary>
        </member>
        <member name="F:Keysystems.Core.Primary.PpEodData.m_dopClass">
            <summary>
            доп классификация
            </summary>
        </member>
        <member name="F:Keysystems.Core.Primary.PpEodData.m_numBo">
            <summary>
            Номер БО
            </summary>
        </member>
        <member name="M:Keysystems.Core.Primary.PpEodData.CreateFromXml(System.String)">
            <summary>
            Получает из XML данных информацию для электронного приема
            </summary>
            <param name="xmlData"></param>
            <returns></returns>
        </member>
        <member name="M:Keysystems.Core.Primary.PpEodData.ParsePpDocument(System.Xml.XmlNode)">
            <summary>
            Разбираем документ
            </summary>
            <param name="rootNode"></param>
            <returns></returns>
        </member>
        <member name="M:Keysystems.Core.Primary.PpEodData.SetByFieldNum(Keysystems.Core.Primary.PpEodData,System.Int32,System.String)">
            <summary>
            Проинициализировать поле записи в соответствии с номером
            </summary>
            <param name="data"></param>
            <param name="fieldNum"></param>
            <param name="value"></param>
        </member>
        <member name="M:Keysystems.Core.Primary.PpEodData.PrepareData(Keysystems.Core.Primary.RazborKBKDelegate,System.Int32)">
            <summary>
            Подготовить данные для экспорта
            </summary>
        </member>
        <member name="M:Keysystems.Core.Primary.PpEodData.GetEdeStr(Keysystems.Core.Primary.PpEodData[],Keysystems.Core.Primary.RazborKBKDelegate,System.Int32)">
            <summary>
            Получить строковое представление документа приема
            </summary>
            <returns></returns>
        </member>
    </members>
</doc>
